Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.core.transfer
Class Step

    java.lang.Object
      org.neuroph.core.transfer.TransferFunction
          org.neuroph.core.transfer.Step

All Implemented Interfaces:
  Serializable

    public class Step

extends TransferFunction
implements Serializable

Step neuron transfer function. y = yHigh, x > 0 y = yLow, x <= 0

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.transfer.TransferFunction
`output`

Constructor Summary
`Step()` Creates an instance of Step transfer function
`Step(Properties properties)` Creates an instance of Step transfer function with specified properties

Method Summary
`double` | `getOutput(double net)` Returns the ouput of this function.
`Properties` | `getProperties()` Returns the properties of this function
`double` | `getYHigh()` Returns output value for high output level
`double` | `getYLow()` Returns output value for low output level
`void` | `setYHigh(double yHigh)` Set output value for the high output level
`void` | `setYLow(double yLow)` Set output value for the low output level

Methods inherited from class org.neuroph.core.transfer.TransferFunction
`getDerivative`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Step

    public Step()

  Creates an instance of Step transfer function

### Step

    public Step(Properties properties)

  Creates an instance of Step transfer function with specified properties

Method Detail

### getOutput

    public double getOutput(double net)

  Description copied from class: `TransferFunction`
  Returns the ouput of this function.

  Specified by:
    `getOutput` in class `TransferFunction`
  Parameters:
    `net` - net input

### getYHigh

    public double getYHigh()

  Returns output value for high output level

  Returns:
    output value for high output level

### setYHigh

    public void setYHigh(double yHigh)

  Set output value for the high output level

  Parameters:
    `yHigh` - value for the high output level

### getYLow

    public double getYLow()

  Returns output value for low output level

  Returns:
    output value for low output level

### setYLow

    public void setYLow(double yLow)

  Set output value for the low output level

  Parameters:
    `yLow` - value for the low output level

### getProperties

    public Properties getProperties()

  Returns the properties of this function

  Returns:
    properties of this function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.